Get Sidebar Modules
Stores can enable modules that showcase specific data about the store. More information on the available modules can be found in our Creator Docs: Sidebar
Retrieves the available sidebar modules configured for the store.
Path parameters
tokenstringRequiredExample:
The webstore identifier.
some-uuidResponses
200
Successful response.
application/json
get/sidebar
GET /api/accounts/sidebar HTTP/1.1
Host: headless.tebex.io/
Accept: */*
200
Successful response.
{
"data": [
{
"id": 1,
"type": null,
"start_time": "2026-01-01T00:00:00.000Z",
"end_time": null,
"data": {
"header": "Top Customer",
"username": "Test",
"username_id": "d8d5a9237b2043d8883b1150148d6955",
"total": 1
}
}
]
}Sidebar Module Types
Below are the available sidebar modules and their definitions:
Type
Notes
top_customer
Shows the top customer of the store.
textbox
Renders custom HTML on the sidebar
recent_payments
Shows information of most recent payor
featured_package
Showcases a particular package
giftcard_balance
Shows the user's giftcard balance
server_status
Online status of a store's server
payment_goal
Progress to completing a payment goal
community_goal
Progress to completing a community goal
Last updated